﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        ChartControl chart = new ChartControl();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChartSeries series = new ChartSeries("series1");
          
            series.Points.Add(0.2,5050);
            series.Points.Add(2, 5055);
            series.Points.Add(20, 5060);
            series.Points.Add(200, 5054);
            series.Points.Add(2000, 5078);
            series.Type = ChartSeriesType.Scatter;
            series.ScatterConnectType = ScatterConnectType.Line;
            series.Style.Symbol.Size = new Size(5, 5);
            this.chart.PrimaryXAxis.ValueType = ChartValueType.Logarithmic;
            this.chart.PrimaryXAxis.SmallTicksPerInterval = 10;
            this.chart.PrimaryXAxis.DrawMinorGrid = true;
            this.chart.Series.Add(series);
            this.chart.Legend.Visible = false;
            this.Controls.Add(chart);
        }
    }
}
